﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace UnivateProperties_API.Containers.Campaigns
{
    public class CampaignDTO
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public string Name { get; set; }
        public string Subject { get; set; }
        public string Body { get; set; }
        public string ItemBody { get; set; }  
        public int ItemsPerRow { get; set; }
        public List<CampaignPlaceholderDTO> PlaceHolders { get; set; }
        public List<CampaignWeeksDTO> Weeks { get; set; }
        public List<CampaignWeeksPlaceHolderDTO> WeekPlaceHolders { get; set; }
    }

    public class CampaignPlaceholderDTO
    {
        public string Name { get; set; }
        public string BoundTo { get; set; }
        public string BoundToClassDisplay { get; set; }
        public string BoundToClass { get; set; }
        public string Format { get; set; }
    }

    public class CampaignWeeksDTO
    {       
        public int WeekId { get; set; }
        public string Image { get; set; }        
    }

    public class CampaignWeeksPlaceHolderDTO
    {
        public int WeekId { get; set; }
        public string Name { get; set; }
        public string Value { get; set; }
    }
}
