﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using UnivateProperties_API.Repository.Banks;

namespace UnivateProperties_API.Controllers.Banks
{
    [Route("api/[controller]")]
    [ApiController]
    public class BanksController : ControllerBase
    {
        private readonly IBankRepository _repo;

        public BanksController(IBankRepository repo)
        {
            _repo = repo;
        }
        
        [HttpGet]
        public IActionResult Get()
        {
            return new OkObjectResult(_repo.GetBanks());
        }       
    }
}
