﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using UnivateProperties_API.Model.Misc;
using UnivateProperties_API.Repository;

namespace UnivateProperties_API.Controllers.Misc
{
    [Route("api/[controller]")]
    [ApiController]
    public class PlaceHolderFormatController : ControllerBase
    {
        private readonly IRepository<PlaceHolderFormat> _Repo;

        public PlaceHolderFormatController(IRepository<PlaceHolderFormat> _repo)
        {
            _Repo = _repo;
        }

        [HttpGet]
        public IActionResult Get()
        {
            return new OkObjectResult(_Repo.GetAll());
        }
    }
}