﻿using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Model.Banks
{
    public class BankAccount : BaseEntity
    {
        #region Properties
        public string AccountHolder { get; set; }
        public string AccountNumber { get; set; }
        [ForeignKey("Bank")]
        public int? BankId { get; set; }
        [ForeignKey("Owner")]
        public int? OwnerId { get; set; }
        #endregion Properties

        #region Navigation
        public virtual Bank Bank { get; set; }
        public virtual Individual Owner { get; set; } 
        #endregion
    }
}
