﻿using System.ComponentModel.DataAnnotations.Schema;

namespace UnivateProperties_API.Model.Communication
{
    public class PlaceHolder : BaseEntity
    {
        public string Name { get; set; }
        public string BoundToClass { get; set; }
        public string BoundToClassDisplay { get; set; }
        public string BoundTo { get; set; }
        [ForeignKey("Template")]
        public int TemplateId { get; set; }

        public virtual Template Template { get; set; }
    }
}
