﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Model.Communication
{
    public class Template : BaseEntity
    {
        #region Properties

        public string Name { get; set; }
        public string Subject { get; set; }
        public string Body { get; set; }
        [ForeignKey("Sender")]
        public int? SenderId { get; set; }

        public virtual ICollection<PlaceHolder> PlaceHolders { get; set; }
        public virtual SMTPAccount Sender { get; set; }
        public virtual ICollection<Agent> AgentBCC { get; set; }
        public virtual ICollection<Individual> IndividualBCC { get; set; }
        #endregion
    }
}
