﻿using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Model.Misc
{
    public class Address : BaseEntity
    {
        public string StreetNumber { get; set; }
        public string Street { get; set; }
        public string Suburb { get; set; }
        public string City { get; set; }
        public string PostalCode { get; set; }
        public string Province { get; set; }
        [ForeignKey("Owner")]
        public int? OwnerId { get; set; }

        public virtual Individual Owner { get; set; }
    }
}
