﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Model.Properties;

namespace UnivateProperties_API.Model.Users
{
    public class Agent : Person
    {
        #region Constructor
        public Agent()
        {

        }
        #endregion Constructor

        #region Properties
        [ForeignKey("Agency")]
        public int? AgencyId { get; set; }
        public virtual Agency Agency { get; set; }

        public virtual ICollection<Property> Properties { get; set; }
        #endregion Properties
    }
}
