﻿using UnivateProperties_API.Model.Properties;
using UnivateProperties_API.Model.Timeshare;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Model.ProcessFlow
{
    public class BidItem : BaseEntity
    {
        #region Properties
        public double Amount { get; set; }
        public int? StatusId { get; set; }
        public int? BidMakerId { get; set; }
        public int? TimeshareWeekId { get; set; }
        public int? PropertyId { get; set; }
        public string Comment { get; set; }
        public string DeclinedReason { get; set; }

        public virtual Status Status { get; set; }
        public virtual Individual BidMaker { get; set; }
        public virtual TimeshareWeek TimeshareWeek {get;set;}
        public virtual Property Property { get; set; }
        #endregion
    }
}
