﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace UnivateProperties_API.Model.Properties
{
    public class UserDefinedGroup : BaseEntity
    {
        #region Properties
        public string Description { get; set; }
        public PropertyUsageType UsageType { get; set; }
        public int Rank { get; set; }

        public ICollection<UserDefinedField> Fields { get; set; }

        [NotMapped]
        public string PropertyUsageType
        {
            get
            {
                return UsageType.ToString();
            }
        }
        #endregion 
    }
}
