﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using UnivateProperties_API.Containers.ProcessFlow;
using UnivateProperties_API.Model.ProcessFlow;

namespace UnivateProperties_API.Repository.ProccessFlow
{
    public interface IBidRepository : IRepository<BidItem>
    {
        List<BidItemDisplay> GetAllBid();
        List<BidItemDisplay> GetAllBidBy(string name);
        List<BidItemDisplay> GetMyBid(Func<BidItem, bool> where);
        BidItemDisplay AcceptBid(int id);
        BidItemDisplay DecineBid(BitItemDecline item);
        BidItemNew NewBidTemplate();
        void InsertNew(BidItemNew item);
        BidItemDisplay GetDispaly(int id);
    }
}
