﻿using System.Collections.Generic;
using UnivateProperties_API.Containers.Regions;
using UnivateProperties_API.Model.Region;

namespace UnivateProperties_API.Repository.Region
{
    public interface ISuburbRepository : IRepository<Suburb>
    {
        List<Suburb> GetBy(string province, string city);
        List<SuburbSearch> GetSearchList();
        List<Suburb> GetByProperty(int propertyId);
    }
}